From 921c16de1ccba79140433b56dc168d0184cfba63 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 27 2021 19:13:56 +0000
Subject: [PATCH 2065/2232] Merge pull request #692 from MForster/upgrade-codespan-reporting


Upgrade the dependency on codespan_reporting
---

diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index fdcbe27..6d5a6cd 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -13,7 +13,7 @@ categories = ["development-tools::ffi"]
 
 [dependencies]
 cc = "1.0.49"
-codespan-reporting = "0.9"
+codespan-reporting = "0.11"
 lazy_static = "1.4"
 proc-macro2 = { version = "1.0.17", default-features = false, features = ["span-locations"] }
 quote = { version = "1.0", default-features = false }
diff --git a/gen/cmd/Cargo.toml b/gen/cmd/Cargo.toml
index e518369..87c6296 100644
--- a/gen/cmd/Cargo.toml
+++ b/gen/cmd/Cargo.toml
@@ -17,7 +17,7 @@ path = "src/main.rs"
 
 [dependencies]
 clap = "2.33"
-codespan-reporting = "0.9"
+codespan-reporting = "0.11"
 proc-macro2 = { version = "1.0.17", default-features = false, features = ["span-locations"] }
 quote = { version = "1.0", default-features = false }
 syn = { version = "1.0.57", default-features = false, features = ["parsing", "printing", "clone-impls", "full"] }
diff --git a/gen/lib/Cargo.toml b/gen/lib/Cargo.toml
index c6da2ba..f938ae6 100644
--- a/gen/lib/Cargo.toml
+++ b/gen/lib/Cargo.toml
@@ -12,7 +12,7 @@ categories = ["development-tools::ffi"]
 
 [dependencies]
 cc = "1.0.49"
-codespan-reporting = "0.9"
+codespan-reporting = "0.11"
 proc-macro2 = { version = "1.0.17", default-features = false, features = ["span-locations"] }
 quote = { version = "1.0", default-features = false }
 syn = { version = "1.0.57", default-features = false, features = ["parsing", "printing", "clone-impls", "full"] }
diff --git a/third-party/BUCK b/third-party/BUCK
index 2479558..e2756a9 100644
--- a/third-party/BUCK
+++ b/third-party/BUCK
@@ -25,7 +25,7 @@ rust_library(
 
 rust_library(
     name = "codespan-reporting",
-    srcs = glob(["vendor/codespan-reporting-0.9.5/src/**"]),
+    srcs = glob(["vendor/codespan-reporting-0.11.0/src/**"]),
     visibility = ["PUBLIC"],
     deps = [
         ":termcolor",
diff --git a/third-party/BUILD b/third-party/BUILD
index a8e5622..920d815 100644
--- a/third-party/BUILD
+++ b/third-party/BUILD
@@ -31,7 +31,7 @@ rust_library(
 
 rust_library(
     name = "codespan-reporting",
-    srcs = glob(["vendor/codespan-reporting-0.9.5/src/**"]),
+    srcs = glob(["vendor/codespan-reporting-0.11.0/src/**"]),
     visibility = ["//visibility:public"],
     deps = [
         ":termcolor",
